ServiceOperations Class
ServiceOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectServiceOperations
Constructor
ServiceOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| list_available_skus |
This method provides the list of available skus for the given subscription and location. |
| list_available_skus_by_resource_group |
This method provides the list of available skus for the given subscription, resource group and location. |
| region_configuration |
This API provides configuration details specific to given region/location. |
| validate_address |
[DEPRECATED NOTICE: This operation will soon be removed] This method validates the customer shipping address and provide alternate addresses if any. |
| validate_inputs |
This method does all necessary pre-job creation validation under subscription. |
| validate_inputs_by_resource_group |
This method does all necessary pre-job creation validation under resource group. |
list_available_skus
This method provides the list of available skus for the given subscription and location.
list_available_skus(location: str, available_sku_request: _models.AvailableSkuRequest, **kwargs: Any) -> Iterable[_models.AvailableSkusResult]
Parameters
- available_sku_request
- <xref:azure.mgmt.databox.models.AvailableSkuRequest>
Filters for showing the available skus.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either AvailableSkusResult or the result of cls(response)
Return type
Exceptions
list_available_skus_by_resource_group
This method provides the list of available skus for the given subscription, resource group and location.
list_available_skus_by_resource_group(resource_group_name: str, location: str, available_sku_request: _models.AvailableSkuRequest, **kwargs: Any) -> Iterable[_models.AvailableSkusResult]
Parameters
- available_sku_request
- <xref:azure.mgmt.databox.models.AvailableSkuRequest>
Filters for showing the available skus.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either AvailableSkusResult or the result of cls(response)
Return type
Exceptions
region_configuration
This API provides configuration details specific to given region/location.
region_configuration(location: str, region_configuration_request: _models.RegionConfigurationRequest, **kwargs: Any) -> _models.RegionConfigurationResponse
Parameters
- region_configuration_request
- <xref:azure.mgmt.databox.models.RegionConfigurationRequest>
Request body to get the configuration for the region.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
RegionConfigurationResponse, or the result of cls(response)
Return type
Exceptions
validate_address
[DEPRECATED NOTICE: This operation will soon be removed] This method validates the customer shipping address and provide alternate addresses if any.
validate_address(location: str, validate_address: _models.ValidateAddress, **kwargs: Any) -> _models.AddressValidationOutput
Parameters
- validate_address
- <xref:azure.mgmt.databox.models.ValidateAddress>
Shipping address of the customer.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
AddressValidationOutput, or the result of cls(response)
Return type
Exceptions
validate_inputs
This method does all necessary pre-job creation validation under subscription.
validate_inputs(location: str, validation_request: _models.ValidationRequest, **kwargs: Any) -> _models.ValidationResponse
Parameters
- validation_request
- <xref:azure.mgmt.databox.models.ValidationRequest>
Inputs of the customer.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
ValidationResponse, or the result of cls(response)
Return type
Exceptions
validate_inputs_by_resource_group
This method does all necessary pre-job creation validation under resource group.
validate_inputs_by_resource_group(resource_group_name: str, location: str, validation_request: _models.ValidationRequest, **kwargs: Any) -> _models.ValidationResponse
Parameters
- validation_request
- <xref:azure.mgmt.databox.models.ValidationRequest>
Inputs of the customer.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
ValidationResponse, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.databox.v2019_09_01.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\databox\\v2019_09_01\\models\\__init__.py'>
Feedback
Submit and view feedback for